### Method

# Gck Builder set_all

#### Declaration [src]

    void
    gck_builder_set_all (
      GckBuilder* builder,
      GckAttributes* attrs
    )

#### Description [src]

Set all the `attrs` attributes to the builder. If any attributes with the same types are already present in the builder, then those attributes are changed to the new values.

As an optimization, the attribute memory values are automatically shared between the attributes and the builder.

#### Parameters

`attrs`

  Type: `GckAttributes`

  The attributes to set.

  The data is owned by the caller of the method.